data:extend(
{
  {
    type = "fluid",
    name = "molten-copper",
    default_temperature = 1000,
    max_temperature = 2000,
    heat_capacity = "20KJ",
    base_color = {r=0.27, g=0.75, b=0.78},
    flow_color = {r=0.56, g=0.8, b=0.81},
    icon = "__base__/graphics/icons/fluid/light-oil.png",
    --order = "a[fluid]-a[water]",
    pressure_to_speed_ratio = 0.5,
    flow_to_energy_ratio = 0.59,
  },
  {
    type = "fluid",
    name = "molten-iron",
    default_temperature = 1500,
    max_temperature = 3000,
    heat_capacity = "30KJ",
    base_color = {r=0.75, g=0.75, b=0.78},
    flow_color = {r=0.75, g=0.8, b=0.81},
    icon = "__base__/graphics/icons/fluid/heavy-oil.png",
    --order = "a[fluid]-a[water]",
    pressure_to_speed_ratio = 0.5,
    flow_to_energy_ratio = 0.59,
  },
  {
    type = "fluid",
    name = "molten-steel",
    default_temperature = 1500,
    max_temperature = 3000,
    heat_capacity = "30KJ",
    base_color = {r=0.75, g=0.75, b=0.75},
    flow_color = {r=0.75, g=0.75, b=0.75},
    icon = "__base__/graphics/icons/fluid/heavy-oil.png",
    --order = "a[fluid]-a[water]",
    pressure_to_speed_ratio = 0.5,
    flow_to_energy_ratio = 0.59,
  },
  {
    type = "fluid",
    name = "melted-plastic",
    default_temperature = 200,
    max_temperature = 800,
    heat_capacity = "8KJ",
    base_color = {r=0.7, g=0.7, b=0.8},
    flow_color = {r=0.8, g=0.8, b=0.81},
    icon = "__base__/graphics/icons/fluid/water.png",
    --order = "a[fluid]-a[water]",
    pressure_to_speed_ratio = 0.5,
    flow_to_energy_ratio = 0.59,
  },
  {
    type = "fluid",
    name = "lava",
    default_temperature = 1000,
    max_temperature = 1500,
    heat_capacity = "15KJ",
    base_color = {r=0.8, g=0.4, b=0.25},
    flow_color = {r=0.8, g=0.6, b=0.25},
    icon = "__base__/graphics/icons/fluid/lubricant.png",
    --order = "a[fluid]-a[water]",
    pressure_to_speed_ratio = 0.9,
    flow_to_energy_ratio = 0.59,
  }
})